Bug 3018 - packages listed in essential file but not installed by default
: packages listed in essential file but not installed by default
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hasher)
: unstable
: all Linux
: P5 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-09-21 23:33 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-09-21 23:33:12
This message appeared during the rebuild of
altair:/user/imz/IN/url_handler-0.2.1-alt1.src.rpm. (Despite this fact, the pkg
was rebuilt.) Perhaps, smth is wrong:

$ hsh  build IN/url_handler-0.2.1-alt1.src.rpm  -v
...
Finding Requires (using /usr/lib/rpm/find-requires)
Executing(Requires): /bin/sh -e /usr/src/RPM/tmp/rpm-tmp.13169
+ umask 022
+ /bin/mkdir -p /usr/src/RPM/BUILD
+ cd /usr/src/RPM/BUILD
+ /usr/lib/rpm/find-requires
error: file /bin/bash: No such file or directory
+ exit 0
PreReq: rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <=
3.0.4-1
Requires(rpmlib): rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
Requires: common-licenses coreutils coreutils
Conflicts: urlview < 0.9-ipl8mdk mailx < 8.1.2-alt1
Wrote: /usr/src/RPM/RPMS/noarch/url_handler-0.2.1-alt1.noarch.rpm
Executing(--clean): /bin/sh -e /usr/src/RPM/tmp/rpm-tmp.51974
+ umask 022
+ /bin/mkdir -p /usr/src/RPM/BUILD
+ cd /usr/src/RPM/BUILD
+ rm -rf url_handler-0.2.1
+ /bin/chmod -Rf u+rwX -- /usr/src/RPM/tmp/url_handler-buildroot
+ /bin/rm -rf -- /usr/src/RPM/tmp/url_handler-buildroot
+ exit 0
1.04user 0.46system 0:03.65elapsed 40%CPU (0avgtext+0avgdata 0maxresident)k
0inputs+0outputs (20694major+12118minor)pagefaults 0swaps
`/usr/src/RPM/RPMS/noarch/url_handler-0.2.1-alt1.noarch.rpm' ->
`/.out/url_handler-0.2.1-alt1.noarch.rpm'
rebuild: rebuild of `url_handler-0.2.1-alt1.src.rpm' complete.
`chroot/.in/url_handler-0.2.1-alt1.src.rpm' ->
`repo/SRPMS.hasher/url_handler-0.2.1-alt1.src.rpm'
`chroot/.out/url_handler-0.2.1-alt1.noarch.rpm' ->
`repo/i586/RPMS.hasher/url_handler-0.2.1-alt1.noarch.rpm'
Components: hasher
Processing pkglists... hasher done
Processing srclists...  hasher done
Creating component releases... done
Updating global release file... done
Appending MD5Sum... hasher done
All your base are belong to us!!!
rebuild: updated hasher repository indices.
$ 


Steps to Reproduce:
1.
2.
3.
------- Comment #1 From 2003-09-22 00:06:02 -------
bash is listed in /etc/buildreqs/packages/essential but hasher does not include
it into 
basesystem. 

What do you suggest: remove bash from essential list or modify hasher to
install it? 
------- Comment #2 From 2003-09-22 01:12:36 -------
Here is complete list of missing essentials (with compat packages removed): 
 
bash 
console-tools 
gettext-runtime 
kernel[0-9]*-headers.* 
kernel[0-9]*-smp.* 
kernel[0-9]*-up.* 
less 
libintl 
libpng 
libreadline 
mawk 
nss_db 
nss_ldap 
perl 
 
Please help me to find outwhat should be removed from essential list and what should be 
added to hasher's basesystem. 
 
------- Comment #3 From 2003-09-22 15:49:17 -------
I would rather remove bash from the list of essential packages.  Let it be the
policy: always use /bin/sh as a standard shell and use /bin/bash only when
interactive features needed.
------- Comment #4 From 2003-09-22 18:47:51 -------
Fixed in: 
rpm-build-4.0.4-alt25 
rpm-utils-0.7.1-alt1 
 
See changelogs for details.